<?xml version="1.0" encoding="UTF-8"?>
<workbench progressCount="33" version="2.0">
<workbenchAdvisor/>
<window height="768" maximized="true" width="1032" x="1374" y="96">
<fastViewData fastViewLocation="1024"/>
<perspectiveBar>
<itemSize x="160"/>
</perspectiveBar>
<coolbarLayout>
<coolItem id="group.file" itemType="typeGroupMarker"/>
<coolItem id="org.eclipse.ui.workbench.file" itemType="typeToolBarContribution" x="164" y="28"/>
<coolItem id="additions" itemType="typeGroupMarker"/>
<coolItem id="org.eclipse.cdt.ui.CElementCreationActionSet" itemType="typeToolBarContribution" x="154" y="28"/>
<coolItem id="org.eclipse.cdt.ui.buildConfigActionSet" itemType="typeToolBarContribution" x="80" y="28"/>
<coolItem id="org.eclipse.debug.ui.launchActionSet" itemType="typeToolBarContribution" x="118" y="28"/>
<coolItem id="org.eclipse.search.searchActionSet" itemType="typeToolBarContribution" x="102" y="28"/>
<coolItem id="org.eclipse.ui.edit.text.actionSet.presentation" itemType="typeToolBarContribution" x="66" y="28"/>
<coolItem id="group.nav" itemType="typeGroupMarker"/>
<coolItem id="org.eclipse.ui.workbench.navigate" itemType="typeToolBarContribution" x="182" y="28"/>
<coolItem id="group.editor" itemType="typeGroupMarker"/>
<coolItem id="org.eclipse.cdt.ui.editor.CEditor" itemType="typeToolBarContribution" x="-1" y="-1"/>
<coolItem id="group.help" itemType="typeGroupMarker"/>
<coolItem id="org.eclipse.ui.workbench.help" itemType="typeToolBarContribution" x="-1" y="-1"/>
</coolbarLayout>
<page aggregateWorkingSetId="Aggregate for window 1368115757349" focus="true" label="Workspace - Nios II">
<editors>
<editorArea activeWorkbook="DefaultEditorWorkbook">
<info part="DefaultEditorWorkbook">
<folder appearance="1" expanded="2">
<presentation id="org.eclipse.ui.presentations.WorkbenchPresentationFactory">
<part id="0"/>
<part id="1"/>
<part id="2"/>
<part id="3"/>
<part id="4"/>
<part id="5"/>
<part id="6"/>
</presentation>
</folder>
</info>
</editorArea>
<editor id="org.eclipse.cdt.ui.editor.CEditor" name="main.c" partName="main.c" path="/home/user2/spring13/bhw2113/Desktop/Snake_Plus/software/snake_software/main.c" title="main.c" tooltip="snake_software/main.c" workbook="DefaultEditorWorkbook">
<input factoryID="org.eclipse.ui.part.FileEditorInputFactory" path="/snake_software/main.c"/>
<editorState selectionHorizontalPixel="0" selectionLength="0" selectionOffset="12459" selectionTopPixel="7912"/>
</editor>
<editor id="org.eclipse.cdt.ui.editor.CEditor" name="llist.h" partName="llist.h" path="/home/user2/spring13/bhw2113/Desktop/Snake_Plus/software/snake_software/llist.h" title="llist.h" tooltip="snake_software/llist.h" workbook="DefaultEditorWorkbook">
<input factoryID="org.eclipse.ui.part.FileEditorInputFactory" path="/snake_software/llist.h"/>
<editorState selectionHorizontalPixel="0" selectionLength="9" selectionOffset="106" selectionTopPixel="55"/>
</editor>
<editor id="org.eclipse.cdt.ui.editor.CEditor" name="food.h" partName="food.h" path="/home/user2/spring13/bhw2113/Desktop/Snake_Plus/software/snake_software/food.h" title="food.h" tooltip="snake_software/food.h" workbook="DefaultEditorWorkbook">
<input factoryID="org.eclipse.ui.part.FileEditorInputFactory" path="/snake_software/food.h"/>
<editorState selectionHorizontalPixel="0" selectionLength="0" selectionOffset="1343" selectionTopPixel="731"/>
</editor>
<editor id="org.eclipse.cdt.ui.editor.CEditor" name="constants.h" partName="constants.h" path="/home/user2/spring13/bhw2113/Desktop/Snake_Plus/software/snake_software/constants.h" title="constants.h" tooltip="snake_software/constants.h" workbook="DefaultEditorWorkbook">
<input factoryID="org.eclipse.ui.part.FileEditorInputFactory" path="/snake_software/constants.h"/>
<editorState selectionHorizontalPixel="0" selectionLength="0" selectionOffset="0" selectionTopPixel="0"/>
</editor>
<editor id="org.eclipse.cdt.ui.editor.CEditor" name="basic_io.h" partName="basic_io.h" path="/home/user2/spring13/bhw2113/Desktop/Snake_Plus/software/snake_software/basic_io.h" title="basic_io.h" tooltip="snake_software/basic_io.h" workbook="DefaultEditorWorkbook">
<input factoryID="org.eclipse.ui.part.FileEditorInputFactory" path="/snake_software/basic_io.h"/>
<editorState selectionHorizontalPixel="0" selectionLength="0" selectionOffset="0" selectionTopPixel="0"/>
</editor>
<editor id="org.eclipse.cdt.ui.editor.CEditor" name="snake_io.h" partName="snake_io.h" path="/home/user2/spring13/bhw2113/Desktop/Snake_Plus/software/snake_software/snake_io.h" title="snake_io.h" tooltip="snake_software/snake_io.h" workbook="DefaultEditorWorkbook">
<input factoryID="org.eclipse.ui.part.FileEditorInputFactory" path="/snake_software/snake_io.h"/>
<editorState selectionHorizontalPixel="0" selectionLength="12" selectionOffset="4224" selectionTopPixel="2125"/>
</editor>
<editor activePart="true" focus="true" id="org.eclipse.cdt.ui.editor.CEditor" name="edwards.h" partName="edwards.h" path="/home/user2/spring13/bhw2113/Desktop/Snake_Plus/software/snake_software/edwards.h" title="edwards.h" tooltip="snake_software/edwards.h" workbook="DefaultEditorWorkbook">
<input factoryID="org.eclipse.ui.part.FileEditorInputFactory" path="/snake_software/edwards.h"/>
<editorState selectionHorizontalPixel="0" selectionLength="0" selectionOffset="4546" selectionTopPixel="2539"/>
</editor>
</editors>
<views>
<view id="org.eclipse.ui.navigator.ProjectExplorer" partName="Project Explorer">
<viewState CommonNavigator.LINKING_ENABLED="0" org.eclipse.cdt.ui.cview.groupincludes="false" org.eclipse.cdt.ui.cview.groupmacros="false" org.eclipse.cdt.ui.editor.CUChildren="true" org.eclipse.ui.navigator.resources.workingSets.showTopLevelWorkingSets="0"/>
</view>
<view id="org.eclipse.ui.views.PropertySheet" partName="Properties"/>
<view id="org.eclipse.cdt.make.ui.views.MakeView" partName="Make Target"/>
<view id="org.eclipse.cdt.ui.callHierarchy" partName="Call Hierarchy">
<viewState showFilesInLabels="false" variableFilter="false"/>
</view>
<view id="org.eclipse.ui.views.ProblemView" partName="Problems">
<viewState PRIMARY_SORT_FIELD="org.eclipse.ui.ide.severityAndDescriptionField" categoryGroup="org.eclipse.ui.ide.severity" markerContentGenerator="org.eclipse.ui.ide.problemsGenerator" partName="Problems">
<expanded>
<category IMemento.internal.id="Warnings (35 items)"/>
<category IMemento.internal.id="Warnings"/>
<category IMemento.internal.id="Errors"/>
</expanded>
<columnWidths org.eclipse.ui.ide.locationField="90" org.eclipse.ui.ide.markerType="411" org.eclipse.ui.ide.pathField="120" org.eclipse.ui.ide.resourceField="90" org.eclipse.ui.ide.severityAndDescriptionField="300"/>
<visible IMemento.internal.id="org.eclipse.ui.ide.severityAndDescriptionField"/>
<visible IMemento.internal.id="org.eclipse.ui.ide.resourceField"/>
<visible IMemento.internal.id="org.eclipse.ui.ide.pathField"/>
<visible IMemento.internal.id="org.eclipse.ui.ide.locationField"/>
<visible IMemento.internal.id="org.eclipse.ui.ide.markerType"/>
</viewState>
</view>
<view id="org.eclipse.ui.console.ConsoleView" partName="Console">
<viewState/>
</view>
<view id="org.eclipse.mylyn.tasks.ui.views.tasks" partName="Task List"/>
<view id="org.eclipse.ui.views.TaskList" partName="Tasks"/>
<view id="org.eclipse.help.ui.HelpView" partName="Help">
<viewState pageId="context-help-page"/>
</view>
<view id="org.eclipse.ui.views.ContentOutline" partName="Outline">
<viewState/>
</view>
</views>
<perspectives activePart="org.eclipse.help.ui.HelpView" activePerspective="com.altera.sbtgui.ui.cPerspective">
<perspective editorAreaTrimState="2" editorAreaVisible="1" fixed="0" version="0.016">
<descriptor class="org.eclipse.cdt.internal.ui.CPerspectiveFactory" id="org.eclipse.cdt.ui.CPerspective" label="C/C++"/>
<alwaysOnActionSet id="org.eclipse.mylyn.context.ui.actionSet"/>
<alwaysOnActionSet id="org.eclipse.mylyn.doc.actionSet"/>
<alwaysOnActionSet id="org.eclipse.mylyn.tasks.ui.navigation"/>
<alwaysOnActionSet id="org.eclipse.ui.cheatsheets.actionSet"/>
<alwaysOnActionSet id="org.eclipse.rse.core.search.searchActionSet"/>
<alwaysOnActionSet id="org.eclipse.search.searchActionSet"/>
<alwaysOnActionSet id="org.eclipse.ui.edit.text.actionSet.annotationNavigation"/>
<alwaysOnActionSet id="org.eclipse.ui.edit.text.actionSet.navigation"/>
<alwaysOnActionSet id="org.eclipse.ui.edit.text.actionSet.convertLineDelimitersTo"/>
<alwaysOnActionSet id="org.eclipse.ui.externaltools.ExternalToolsSet"/>
<alwaysOnActionSet id="org.eclipse.ui.actionSet.keyBindings"/>
<alwaysOnActionSet id="org.eclipse.ui.actionSet.openFiles"/>
<alwaysOnActionSet id="org.eclipse.cdt.ui.SearchActionSet"/>
<alwaysOnActionSet id="org.eclipse.cdt.ui.CElementCreationActionSet"/>
<alwaysOnActionSet id="org.eclipse.ui.NavigateActionSet"/>
<alwaysOnActionSet id="org.eclipse.debug.ui.breakpointActionSet"/>
<alwaysOnActionSet id="org.eclipse.cdt.make.ui.makeTargetActionSet"/>
<alwaysOnActionSet id="org.eclipse.debug.ui.launchActionSet"/>
<alwaysOnActionSet id="org.eclipse.cdt.ui.buildConfigActionSet"/>
<alwaysOnActionSet id="org.eclipse.cdt.ui.NavigationActionSet"/>
<alwaysOnActionSet id="org.eclipse.cdt.ui.OpenActionSet"/>
<alwaysOnActionSet id="org.eclipse.cdt.ui.CodingActionSet"/>
<alwaysOnActionSet id="org.eclipse.ui.edit.text.actionSet.presentation"/>
<show_view_action id="org.eclipse.ui.console.ConsoleView"/>
<show_view_action id="org.eclipse.search.ui.views.SearchView"/>
<show_view_action id="org.eclipse.ui.views.ContentOutline"/>
<show_view_action id="org.eclipse.ui.views.ProblemView"/>
<show_view_action id="org.eclipse.cdt.ui.CView"/>
<show_view_action id="org.eclipse.ui.views.ResourceNavigator"/>
<show_view_action id="org.eclipse.ui.views.PropertySheet"/>
<show_view_action id="org.eclipse.ui.views.TaskList"/>
<show_view_action id="org.eclipse.cdt.codan.internal.ui.views.ProblemDetails"/>
<show_view_action id="org.eclipse.cdt.make.ui.views.MakeView"/>
<show_view_action id="org.eclipse.ui.navigator.ProjectExplorer"/>
<show_view_action id="org.eclipse.cdt.ui.includeBrowser"/>
<show_view_action id="org.eclipse.mylyn.tasks.ui.views.tasks"/>
<new_wizard_action id="org.eclipse.cdt.ui.wizards.ConvertToMakeWizard"/>
<new_wizard_action id="org.eclipse.cdt.ui.wizards.NewMakeFromExisting"/>
<new_wizard_action id="org.eclipse.cdt.ui.wizards.NewCWizard1"/>
<new_wizard_action id="org.eclipse.cdt.ui.wizards.NewCWizard2"/>
<new_wizard_action id="org.eclipse.linuxtools.cdt.autotools.ui.wizards.conversionWizard"/>
<new_wizard_action id="org.eclipse.cdt.ui.wizards.NewSourceFolderCreationWizard"/>
<new_wizard_action id="org.eclipse.cdt.ui.wizards.NewFolderCreationWizard"/>
<new_wizard_action id="org.eclipse.cdt.ui.wizards.NewSourceFileCreationWizard"/>
<new_wizard_action id="org.eclipse.cdt.ui.wizards.NewHeaderFileCreationWizard"/>
<new_wizard_action id="org.eclipse.cdt.ui.wizards.NewFileCreationWizard"/>
<new_wizard_action id="org.eclipse.cdt.ui.wizards.NewClassCreationWizard"/>
<new_wizard_action id="com.altera.sbtgui.ui.newSoftwareExample"/>
<new_wizard_action id="com.altera.sbtgui.ui.newApplication"/>
<new_wizard_action id="com.altera.sbtgui.ui.newBsp"/>
<new_wizard_action id="com.altera.sbtgui.ui.newLibrary"/>
<new_wizard_action id="org.eclipse.mylyn.tasks.ui.wizards.new.repository.task"/>
<perspective_action id="com.altera.sbtgui.ui.cPerspective"/>
<perspective_action id="com.altera.sbtgui.ui.debugPerspective"/>
<perspective_action id="org.eclipse.debug.ui.DebugPerspective"/>
<perspective_action id="org.eclipse.team.ui.TeamSynchronizingPerspective"/>
<hide_toolbar_item_id id="org.eclipse.ui.edit.text.toggleShowSelectedElementOnly"/>
<view id="org.eclipse.ui.navigator.ProjectExplorer"/>
<view id="org.eclipse.ui.views.ProblemView"/>
<view id="org.eclipse.ui.views.TaskList"/>
<view id="org.eclipse.ui.console.ConsoleView"/>
<view id="org.eclipse.ui.views.PropertySheet"/>
<view id="org.eclipse.ui.views.ContentOutline"/>
<view id="org.eclipse.cdt.make.ui.views.MakeView"/>
<view id="org.eclipse.mylyn.tasks.ui.views.tasks"/>
<view id="org.eclipse.ui.internal.introview"/>
<fastViewBars/>
<layout>&#x0A;<mainWindow>&#x0A;<info folder="true" part="topLeft">&#x0A;<folder activePageID="org.eclipse.ui.navigator.ProjectExplorer" appearance="2" expanded="2">&#x0A;<page content="org.eclipse.ui.navigator.ProjectExplorer" label="Project Explorer"/>
<page content="org.eclipse.cdt.ui.CView" label="LabelNotFound"/>
<page content="org.eclipse.ui.views.ResourceNavigator" label="LabelNotFound"/>
<page content="org.eclipse.ui.views.BookmarkView" label="LabelNotFound"/>
<presentation id="org.eclipse.ui.presentations.WorkbenchPresentationFactory">&#x0A;<part id="0"/>
</presentation>
</folder>
</info>
<info folder="true" part="org.eclipse.ui.internal.ViewStack@1d8c046" ratio="0.7495049" ratioLeft="757" ratioRight="253" relationship="2" relative="topLeft">&#x0A;<folder activePageID="org.eclipse.ui.internal.introview" appearance="2" expanded="1">&#x0A;<page content="org.eclipse.ui.internal.introview" label="Welcome"/>
<page content="org.eclipse.help.ui.HelpView" label="LabelNotFound"/>
<page content="org.eclipse.ui.cheatsheets.views.CheatSheetView" label="LabelNotFound"/>
<presentation id="org.eclipse.ui.presentations.WorkbenchPresentationFactory">&#x0A;<part id="0"/>
</presentation>
</folder>
</info>
<info part="org.eclipse.ui.editorss" ratio="0.24950495" ratioLeft="252" ratioRight="758" relationship="2" relative="topLeft"/>
<info folder="true" part="bottom" ratio="0.74882996" ratioLeft="480" ratioRight="161" relationship="4" relative="org.eclipse.ui.editorss">&#x0A;<folder activePageID="org.eclipse.ui.views.ProblemView" appearance="2" expanded="2">&#x0A;<page content="org.eclipse.ui.views.ProblemView" label="Problems"/>
<page content="org.eclipse.ui.views.TaskList" label="Tasks"/>
<page content="org.eclipse.ui.console.ConsoleView" label="Console"/>
<page content="org.eclipse.ui.views.PropertySheet" label="Properties"/>
<page content="com.altera.sbtgui.launch.hardware.ByteStreamConsoleView" label="LabelNotFound"/>
<presentation id="org.eclipse.ui.presentations.WorkbenchPresentationFactory">&#x0A;<part id="0"/>
<part id="1"/>
<part id="2"/>
<part id="3"/>
</presentation>
</folder>
</info>
<info folder="true" part="topRight" ratio="0.74934036" ratioLeft="568" ratioRight="190" relationship="2" relative="org.eclipse.ui.editorss">&#x0A;<folder activePageID="org.eclipse.ui.views.ContentOutline" appearance="2" expanded="2">&#x0A;<page content="org.eclipse.ui.views.ContentOutline" label="Outline"/>
<page content="org.eclipse.cdt.make.ui.views.MakeView" label="Make Target"/>
<page content="org.eclipse.mylyn.tasks.ui.views.tasks" label="Task List"/>
<presentation id="org.eclipse.ui.presentations.WorkbenchPresentationFactory">&#x0A;<part id="0"/>
<part id="1"/>
<part id="2"/>
</presentation>
</folder>
</info>
</mainWindow>
</layout>
</perspective>
<perspective editorAreaTrimState="2" editorAreaVisible="1" fixed="0" version="0.016">
<descriptor class="com.altera.sbtgui.ui.Nios2CPerspectiveFactory" id="com.altera.sbtgui.ui.cPerspective" label="Nios II"/>
<alwaysOnActionSet id="org.eclipse.mylyn.context.ui.actionSet"/>
<alwaysOnActionSet id="org.eclipse.mylyn.doc.actionSet"/>
<alwaysOnActionSet id="org.eclipse.mylyn.tasks.ui.navigation"/>
<alwaysOnActionSet id="org.eclipse.ui.cheatsheets.actionSet"/>
<alwaysOnActionSet id="org.eclipse.rse.core.search.searchActionSet"/>
<alwaysOnActionSet id="org.eclipse.search.searchActionSet"/>
<alwaysOnActionSet id="org.eclipse.ui.edit.text.actionSet.annotationNavigation"/>
<alwaysOnActionSet id="org.eclipse.ui.edit.text.actionSet.navigation"/>
<alwaysOnActionSet id="org.eclipse.ui.edit.text.actionSet.convertLineDelimitersTo"/>
<alwaysOnActionSet id="org.eclipse.ui.externaltools.ExternalToolsSet"/>
<alwaysOnActionSet id="org.eclipse.ui.actionSet.keyBindings"/>
<alwaysOnActionSet id="org.eclipse.ui.actionSet.openFiles"/>
<alwaysOnActionSet id="org.eclipse.cdt.ui.SearchActionSet"/>
<alwaysOnActionSet id="org.eclipse.cdt.ui.CElementCreationActionSet"/>
<alwaysOnActionSet id="org.eclipse.ui.NavigateActionSet"/>
<alwaysOnActionSet id="org.eclipse.debug.ui.launchActionSet"/>
<show_view_action id="org.eclipse.ui.console.ConsoleView"/>
<show_view_action id="org.eclipse.search.ui.views.SearchView"/>
<show_view_action id="org.eclipse.ui.views.ContentOutline"/>
<show_view_action id="org.eclipse.ui.views.ProblemView"/>
<show_view_action id="org.eclipse.cdt.ui.CView"/>
<show_view_action id="org.eclipse.ui.views.ResourceNavigator"/>
<show_view_action id="org.eclipse.ui.views.PropertySheet"/>
<show_view_action id="org.eclipse.ui.views.TaskList"/>
<show_view_action id="com.altera.sbtgui.launch.hardware.ByteStreamConsoleView"/>
<new_wizard_action id="com.altera.sbtgui.ui.newSoftwareExample"/>
<new_wizard_action id="com.altera.sbtgui.ui.newApplication"/>
<new_wizard_action id="com.altera.sbtgui.ui.newBsp"/>
<new_wizard_action id="com.altera.sbtgui.ui.newLibrary"/>
<perspective_action id="com.altera.sbtgui.ui.debugPerspective"/>
<hide_toolbar_item_id id="org.eclipse.ui.edit.text.toggleShowSelectedElementOnly"/>
<view id="org.eclipse.ui.navigator.ProjectExplorer"/>
<view id="org.eclipse.ui.views.ProblemView"/>
<view id="org.eclipse.ui.views.TaskList"/>
<view id="org.eclipse.ui.console.ConsoleView"/>
<view id="org.eclipse.ui.views.PropertySheet"/>
<view id="org.eclipse.cdt.ui.callHierarchy"/>
<view id="org.eclipse.ui.views.ContentOutline"/>
<view id="org.eclipse.help.ui.HelpView"/>
<fastViewBars/>
<layout>
<mainWindow>
<info folder="true" part="topLeft">
<folder activePageID="org.eclipse.ui.navigator.ProjectExplorer" appearance="2" expanded="2">
<page content="org.eclipse.ui.navigator.ProjectExplorer" label="Project Explorer"/>
<page content="org.eclipse.cdt.ui.CView" label="LabelNotFound"/>
<page content="org.eclipse.ui.views.ResourceNavigator" label="LabelNotFound"/>
<page content="org.eclipse.ui.views.BookmarkView" label="LabelNotFound"/>
<presentation id="org.eclipse.ui.presentations.WorkbenchPresentationFactory">
<part id="0"/>
</presentation>
</folder>
</info>
<info folder="true" part="org.eclipse.ui.internal.ViewStack@16c5f50" ratio="0.7495049" ratioLeft="757" ratioRight="253" relationship="2" relative="topLeft">
<folder activePageID="org.eclipse.help.ui.HelpView" appearance="2" expanded="2">
<page content="org.eclipse.help.ui.HelpView" label="Help"/>
<page content="org.eclipse.ui.internal.introview" label="LabelNotFound"/>
<page content="org.eclipse.ui.cheatsheets.views.CheatSheetView" label="LabelNotFound"/>
<presentation id="org.eclipse.ui.presentations.WorkbenchPresentationFactory">
<part id="0"/>
</presentation>
</folder>
</info>
<info part="org.eclipse.ui.editorss" ratio="0.24950495" ratioLeft="252" ratioRight="758" relationship="2" relative="topLeft"/>
<info folder="true" part="bottom" ratio="0.75" ratioLeft="507" ratioRight="169" relationship="4" relative="org.eclipse.ui.editorss">
<folder activePageID="com.altera.sbtgui.launch.hardware.ByteStreamConsoleView:USB-Blaster on localhost [USB 4-2].1.0" appearance="2" expanded="2">
<page content="org.eclipse.ui.views.ProblemView" label="Problems"/>
<page content="org.eclipse.ui.views.TaskList" label="Tasks"/>
<page content="org.eclipse.ui.console.ConsoleView" label="Console"/>
<page content="org.eclipse.ui.views.PropertySheet" label="Properties"/>
<page content="org.eclipse.cdt.ui.callHierarchy" label="Call Hierarchy"/>
<page content="com.altera.sbtgui.launch.hardware.ByteStreamConsoleView:USB-Blaster on localhost [USB 4-2].1.0" label="Nios II Console"/>
<page content="com.altera.sbtgui.launch.hardware.ByteStreamConsoleView:USB-Blaster on localhost [USB 6-1].1.0" label="LabelNotFound"/>
<page content="com.altera.sbtgui.launch.hardware.ByteStreamConsoleView:*" label="LabelNotFound"/>
<page content="com.altera.sbtgui.launch.hardware.ByteStreamConsoleView" label="LabelNotFound"/>
<presentation id="org.eclipse.ui.presentations.WorkbenchPresentationFactory">
<part id="0"/>
<part id="1"/>
<part id="2"/>
<part id="3"/>
<part id="4"/>
<part id="5"/>
</presentation>
</folder>
</info>
<info folder="true" part="topRight" ratio="0.74934036" ratioLeft="568" ratioRight="190" relationship="2" relative="org.eclipse.ui.editorss">
<folder activePageID="org.eclipse.ui.views.ContentOutline" appearance="2" expanded="2">
<page content="org.eclipse.ui.views.ContentOutline" label="Outline"/>
<presentation id="org.eclipse.ui.presentations.WorkbenchPresentationFactory">
<part id="0"/>
</presentation>
</folder>
</info>
</mainWindow>
</layout>
</perspective>
</perspectives>
<workingSets/>
<navigationHistory>
<editors>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" path="/snake_software/main.c"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" path="/snake_software/llist.h"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" path="/snake_software/food.h"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" path="/snake_software/constants.h"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" path="/snake_software/basic_io.h"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" path="/snake_software/snake_io.h"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" path="/snake_software/basic_io.h"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" path="/snake_software/snake_io.h"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" path="/snake_software/snake_io.h"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" path="/snake_software/constants.h"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" path="/snake_software/basic_io.h"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" path="/snake_software/edwards.h"/>
</editors>
<item historyLabel="food.h" index="2">
<position info="not_deleted" x="1343" y="0"/>
</item>
<item historyLabel="main.c" index="0">
<position info="not_deleted" x="11370" y="0"/>
</item>
<item historyLabel="food.h" index="2">
<position info="not_deleted" x="3170" y="78"/>
</item>
<item historyLabel="main.c" index="0">
<position/>
</item>
<item historyLabel="llist.h" index="1">
<position info="not_deleted" x="1465" y="9"/>
</item>
<item historyLabel="llist.h" index="1">
<position info="not_deleted" x="110" y="0"/>
</item>
<item historyLabel="main.c" index="0">
<position info="not_deleted" x="10656" y="9"/>
</item>
<item historyLabel="main.c" index="0">
<position/>
</item>
<item historyLabel="food.h" index="2">
<position info="not_deleted" x="1343" y="0"/>
</item>
<item historyLabel="llist.h" index="1">
<position info="not_deleted" x="106" y="9"/>
</item>
<item historyLabel="main.c" index="0">
<position/>
</item>
<item historyLabel="main.c" index="0">
<position info="not_deleted" x="0" y="0"/>
</item>
<item historyLabel="main.c" index="0">
<position info="not_deleted" x="14337" y="0"/>
</item>
<item historyLabel="main.c" index="0">
<position info="not_deleted" x="7191" y="11"/>
</item>
<item historyLabel="constants.h" index="3">
<position info="not_deleted" x="0" y="0"/>
</item>
<item historyLabel="basic_io.h" index="4">
<position info="not_deleted" x="0" y="0"/>
</item>
<item historyLabel="snake_io.h" index="5">
<position info="not_deleted" x="2378" y="0"/>
</item>
<item historyLabel="main.c" index="0">
<position info="not_deleted" x="7191" y="11"/>
</item>
<item historyLabel="main.c" index="0">
<position info="not_deleted" x="7448" y="0"/>
</item>
<item historyLabel="basic_io.h" index="6">
<position info="not_deleted" x="0" y="0"/>
</item>
<item historyLabel="snake_io.h" index="7">
<position info="not_deleted" x="2378" y="0"/>
</item>
<item historyLabel="main.c" index="0">
<position info="not_deleted" x="7674" y="0"/>
</item>
<item historyLabel="main.c" index="0">
<position info="not_deleted" x="14544" y="0"/>
</item>
<item historyLabel="main.c" index="0">
<position info="not_deleted" x="6212" y="17"/>
</item>
<item historyLabel="snake_io.h" index="8">
<position info="not_deleted" x="2378" y="0"/>
</item>
<item historyLabel="snake_io.h" index="8">
<position info="not_deleted" x="5554" y="20"/>
</item>
<item historyLabel="main.c" index="0">
<position info="not_deleted" x="6338" y="0"/>
</item>
<item historyLabel="constants.h" index="9">
<position info="not_deleted" x="0" y="0"/>
</item>
<item historyLabel="basic_io.h" index="10">
<position info="not_deleted" x="0" y="0"/>
</item>
<item historyLabel="snake_io.h" index="8">
<position info="not_deleted" x="2975" y="0"/>
</item>
<item historyLabel="main.c" index="0">
<position info="not_deleted" x="12080" y="0"/>
</item>
<item historyLabel="snake_io.h" index="8">
<position info="not_deleted" x="6209" y="12"/>
</item>
<item historyLabel="main.c" index="0">
<position info="not_deleted" x="12080" y="0"/>
</item>
<item historyLabel="main.c" index="0">
<position info="not_deleted" x="12394" y="0"/>
</item>
<item historyLabel="main.c" index="0">
<position info="not_deleted" x="14479" y="0"/>
</item>
<item historyLabel="main.c" index="0">
<position info="not_deleted" x="7268" y="11"/>
</item>
<item historyLabel="main.c" index="0">
<position info="not_deleted" x="7203" y="0"/>
</item>
<item historyLabel="main.c" index="0">
<position info="not_deleted" x="7256" y="0"/>
</item>
<item historyLabel="snake_io.h" index="8">
<position info="not_deleted" x="6209" y="12"/>
</item>
<item historyLabel="main.c" index="0">
<position info="not_deleted" x="7256" y="0"/>
</item>
<item historyLabel="main.c" index="0">
<position info="not_deleted" x="12413" y="0"/>
</item>
<item historyLabel="main.c" index="0">
<position info="not_deleted" x="12430" y="0"/>
</item>
<item historyLabel="main.c" index="0">
<position info="not_deleted" x="12460" y="1"/>
</item>
<item historyLabel="main.c" index="0">
<position info="not_deleted" x="12460" y="0"/>
</item>
<item historyLabel="basic_io.h" index="10">
<position info="not_deleted" x="0" y="0"/>
</item>
<item historyLabel="snake_io.h" index="8">
<position info="not_deleted" x="6209" y="12"/>
</item>
<item historyLabel="main.c" index="0">
<position info="not_deleted" x="7230" y="0"/>
</item>
<item historyLabel="snake_io.h" index="8">
<position info="not_deleted" x="4224" y="12"/>
</item>
<item historyLabel="main.c" index="0">
<position info="not_deleted" x="12459" y="0"/>
</item>
<item active="true" historyLabel="edwards.h" index="11">
<position info="not_deleted" x="0" y="0"/>
</item>
</navigationHistory>
<input factoryID="org.eclipse.ui.internal.model.ResourceFactory" path="/" type="8"/>
</page>
<workbenchWindowAdvisor/>
<actionBarAdvisor/>
<trimLayout>
<trimArea IMemento.internal.id="128">
<trimItem IMemento.internal.id="org.eclipse.ui.internal.WorkbenchWindow.topBar"/>
<trimItem IMemento.internal.id="org.eclipse.mylyn.tasks.ui.trim.container"/>
</trimArea>
<trimArea IMemento.internal.id="1024">
<trimItem IMemento.internal.id="org.eclise.ui.internal.FastViewBar"/>
<trimItem IMemento.internal.id="org.eclipse.jface.action.StatusLineManager"/>
<trimItem IMemento.internal.id="org.eclipse.ui.internal.progress.ProgressRegion"/>
</trimArea>
</trimLayout>
</window>
<mruList>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" name="edwards.h" tooltip="snake_software/edwards.h">
<persistable path="/snake_software/edwards.h"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" name="snake_io.h" tooltip="snake_software/snake_io.h">
<persistable path="/snake_software/snake_io.h"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" name="basic_io.h" tooltip="snake_software/basic_io.h">
<persistable path="/snake_software/basic_io.h"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" name="constants.h" tooltip="snake_software/constants.h">
<persistable path="/snake_software/constants.h"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" name="food.h" tooltip="snake_software/food.h">
<persistable path="/snake_software/food.h"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" name="llist.h" tooltip="snake_software/llist.h">
<persistable path="/snake_software/llist.h"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" name="main.c" tooltip="snake_software/main.c">
<persistable path="/snake_software/main.c"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" name="alt_main.c" tooltip="snake_software_bsp/HAL/src/alt_main.c">
<persistable path="/snake_software_bsp/HAL/src/alt_main.c"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" name="alt_up_ps2_port_regs.h" tooltip="snake_software/alt_up_ps2_port_regs.h">
<persistable path="/snake_software/alt_up_ps2_port_regs.h"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" name="ps2_keyboard.c" tooltip="snake_software/ps2_keyboard.c">
<persistable path="/snake_software/ps2_keyboard.c"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" name="ps2_keyboard.h" tooltip="snake_software/ps2_keyboard.h">
<persistable path="/snake_software/ps2_keyboard.h"/>
</file>
</mruList>
</workbench>